#!/bin/bash

#find web user
if [ $(lsb_release -is) == 'Debian' ]; then
        WEBUSER='www-data'
elif [ $(lsb_release -is) == 'RedHat' ]; then
        WEBUSER='apache'
else
        WEBUSER='apache'
fi

#find web user's home

WEBHOME=$(cat /etc/passwd | grep "$WEBUSER" | cut -d':' -f6)

cp $WEBHOME/.irods/irods_environment.json.orig $WEBHOME/.irods/irods_environment.json

sed -i 's/IRODSHOST/'$1'/g' $WEBHOME/.irods/irods_environment.json
sed -i 's/IRODSUSER/'$2'/g' $WEBHOME/.irods/irods_environment.json
sudo chown $WEBUSER:$WEBUSER $WEBHOME/.irods/irods_environment.json
